# GET /api/v1/estimates

> List estimates

- **Tag:** estimates
- **Operation ID:** `list_estimates_api_v1_estimates_get`

## Description

List all estimates for the business with optional filtering.

## Authentication

Bearer token in `Authorization` header.
Required header: `x-business-id: <business uuid>`.

## Parameters

- `search` (query, string, optional) — Search estimates by description
- `customer_id` (query, string, optional) — Filter by customer ID
- `status` (query, EstimateStatusEnum, optional) — Filter by status
- `cursor` (query, string, optional) — Pagination cursor
- `limit` (query, integer, optional) — Page size

## Responses

### 200 — Successful Response

Schema: `EstimatesListResponse`

- `items` (array · EstimateResponse · required) → `EstimateResponse` — List of items
  - `id` (string · required)
  - `business_id` (string · required)
  - `customer_id` (string · required)
  - `number` (string)
  - `status` (string · required)
  - `currency` (string · required)
  - `total` (integer)
  - `total_in_dollars` (string)
  - `description` (string)
  - `internal_notes` (string)
  - `line_items` (object)
  - `due_date` (string · date-time)
  - `expiration_date` (string · date-time)
  - `converted_invoice_id` (string)
  - `sent_at` (string · date-time)
  - `accepted_at` (string · date-time)
  - `declined_at` (string · date-time)
  - `converted_at` (string · date-time)
  - `pdf_url` (string)
  - `created_at` (string · date-time · required)
  - `updated_at` (string · date-time · required)
  - `customer_name` (string)
  - `can_be_sent` (boolean)
  - `can_be_accepted` (boolean)
  - `can_be_declined` (boolean)
  - `can_be_converted` (boolean)
  - `can_be_updated` (boolean)
  - `can_be_deleted` (boolean)
- `total` (integer) — Total number of items (null when not calculated for performance)
- `limit` (integer) — Pagination limit
- `next_cursor` (string) — Cursor for next page
- `prev_cursor` (string) — Cursor for previous page
- `has_next` (boolean · required) — Whether there are more items
- `has_prev` (boolean · required) — Whether there are previous items

### 401 — Unauthorized - Authentication required

### 403 — Forbidden - Insufficient permissions

### 422 — Validation Error

Schema: `HTTPValidationError`

- `detail` (array · ValidationError) → `ValidationError`
  - `loc` (array · string | integer · required)
  - `msg` (string · required)
  - `type` (string · required)
  - `input` (object)
  - `ctx` (object)

## Code samples

### cURL

```bash
curl -X GET 'https://api.ondayzero.com/api/v1/estimates' \
  -H 'Authorization: Bearer dz_your_token' \
  -H 'x-business-id: YOUR_BUSINESS_ID'
```

### JavaScript

```javascript
const response = await fetch('https://api.ondayzero.com/api/v1/estimates', {
  method: 'GET',
  headers: {
    Authorization: 'Bearer dz_your_token',
    'x-business-id': 'YOUR_BUSINESS_ID',
  },
});
const data = await response.json();
```

### Python

```python
import httpx

headers = {
    "Authorization": "Bearer dz_your_token",
    "x-business-id": "YOUR_BUSINESS_ID",
}

response = httpx.get("https://api.ondayzero.com/api/v1/estimates", headers=headers)
data = response.json()
```

## See also

- HTML version: https://www.ondayzero.com/docs/reference/estimates/list-estimates
- OpenAPI slice: https://www.ondayzero.com/docs/reference/estimates/list-estimates/openapi.json
- Other endpoints in **estimates**: https://www.ondayzero.com/docs/reference/estimates
